Gentoricass Programming Language | Gentoricass编程语言  
   Built by: Dickily  
   Version: 1.6  

Gentoricass is an intuitive and beginner-friendly programming language that simplifies coding while maintaining Python’s powerful core functionality.  
Gentoricass是一种直观且适合初学者使用的编程语言，它简化了编程任务，同时保留了Python强大的核心功能。  

---

## Features | 特点:
1. **Interactive Input | 交互式输入** (`gin`)  
   Collect user input interactively and process it seamlessly.

2. **Flexible Output | 灵活的输出** (`gout`)  
   Display text and variables with multi-line output and formatting options.

3. **Logical Conditions | 条件控制** (`gif_true_false`, `gif_in`)  
   Execute commands dynamically based on conditions or substring checks.

4. **Loops with Shared Variables | 支持共享变量的循环** (`grepeat`, `gloop`)  
   Simplify repetitive tasks with advanced support for shared variables.

5. **Break & Skip in Loops | 循环中的Break和Skip** (`gstop`, `gskip`)  
   Control loop execution dynamically using `gstop` and `gskip`.

6. **Random Utilities | 随机数支持** (`gran_int`, `gran_choice`)  
   Generate random integers or select random items from sequences.

7. **Fake Data Generation | 虚拟数据生成**  
   Generate realistic fake data for testing and mock applications:  
   - **Fake Name (`gfake_name`)**: Generate names in English or Chinese.  
   - **Fake Address (`gfake_address`)**: Generate addresses in English or Chinese.  
   - **Fake Phone Number (`gfake_phone_number`)**: Generate phone numbers in English or Chinese format.  
   - **Fake Email (`gfake_email`)**: Generate email addresses in English or Chinese format.  

8. **Custom Function Creation | 自定义函数创建** (`gset`, `grun`)  
   Define and execute reusable custom functions effortlessly.

9. **Built-In Documentation | 内置文档支持** (`help(gentoricass)`)  
   Access comprehensive function explanations directly from the programming language.

---

## Usage | 用法:
Call `help(gentoricass)` to view a detailed list of commands and their descriptions.  
调用`help(gentoricass)`可以查看详细的命令列表及其说明。  

---

## Version 1.6 Highlights | 版本1.6亮点:
1. **Enhanced Fake Data Generation**:  
   Expanded functionality to create more realistic names, addresses, phone numbers, and email addresses with support for Chinese and English locales.  

2. **Optimized Loop Management**:  
   Improved handling of `grepeat` and `gloop` loops with enhanced dynamic flow control using shared variables and precise command execution.  

3. **Simplified Function Documentation**:  
   Refined built-in `help()` to provide clearer explanations for all functions.  

4. **Improved Random Utilities**:  
   Further optimization of random number generation (`gran_int`) and random item selection (`gran_choice`) for better usability.  

---

Explore Gentoricass, unlock its powerful yet beginner-friendly features, and start coding smarter today! 🚀  
